#
# p0f - passive OS fingerprinting
#
# Valid entry describes the way server starts TCP handshake (first SYN).
# Important options are: window size (wss), maximum segment size (mss),
# don't fragment flag (DF), window scaling (wscale), sackOK flag, nop
# flag, and initial time to live (TTL) ;)
#
# How can you determine initial ttl? Well, usually it's first power of 2
# bigger than TTL returned in scan. So, for example, if you get TTL 55 in
# fingerprint returned by p0f, initial TTL will be usually 64... NOTE:
# it's better to overestimate initial TTL than underestimate it ;)
#
# There are some brain-damaged devices, like network printers etc, that
# have stupid initial TTLs like 60, but who cares, if HP LaserJet wants to
# visit your server, you have to think again about your life ;)
#
# Format:
#
# wwww:ttt:mmm:D:W:S:N:OS Description
#
# wwww - window size
# ttt  - time to live
# mmm  - maximum segment size
# D    - don't fragment flag  (0=unset, 1=set) 
# W    - window scaling (-1=not present, anything else = value)
# S    - sackOK flag (0=unset, 1=set)
# N    - nop flag (0=unset, 1=set)
#

31072:64:3884:1:0:1:1:Linux 2.2.12-20 RH 6.1
512:64:1460:0:0:0:0:Linux 2.0.38
32120:64:1460:1:0:1:1:Linux 2.2.14, Cobalt 2.2.12C3
16384:64:1460:1:0:0:0:FreeBSD 4.0-STABLE
8760:64:1460:1:0:0:0:Solaris 2.6 (1)
9140:255:9140:1:0:0:0:Solaris 2.6 (sunsite?)
49152:64:1460:0:0:0:0:IRIX 6.5
8760:255:1460:1:0:0:0:Solaris 2.6 (2)
8192:128:1460:1:0:0:0:Windows NT 4.0
8192:128:1460:1:0:1:1:Windows 9x (1)
8192:128:536:1:0:1:1:Windows 9x (2)
2144:64:536:1:0:1:1:Windows 9x (4?)
16384:128:1460:1:0:1:1:Windows 2000
32120:32:1460:1:0:1:1:Linux 2.2.13
8192:32:1460:1:0:0:0:Windows NT 4.0
5840:128:536:1:0:1:1:Windows 95 (3)
16060:64:1460:1:0:1:1:Debian Linux 2.2.x (check)
8760:251:1380:1:0:0:0:Solaris 2.7
8192:128:1456:1:0:1:1:Linux 2.2.13
32768:64:1432:0:0:0:0:GSM WAP Proxy? (PlusGSM)
